> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/settings/data-models/asset-types/model-setup/tabs/tab-types/tab-details.md).

# Tab details

Configuration details for tabs

### Label

A label for the tab.

### Show sidebar

Determines if the sidebar showing entity details shall be shown on the tab.

### External url

The external URL to show in the tab. You can add attribute values of the entity in the url by referencing the attributes alias in curly braces ex: '{attributealias}'. The internal id of the entity can be referenced by adding '{PIM\_id}' to the url. The user email can be referenced by adding '{USER\_Email}' to the url. Example url: '<https://example.com?pimid={PIM\\_Id}>'.

### View permission

Determines if a specific view permission is required for the user to be able to see this tab.

### Save permission

Determines if a specfic permission is required for the user to be able to save this tab.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/reference/settings/data-models/asset-types/model-setup/tabs/tab-types/tab-details.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
